<?php
/*
Plugin Name: MemberMouse Uninstaller
Description: This plugin is used to remove all tables and settings associated with the MemberMouse plugin.
Author: MemberMouse, LLC
Author URI: http://membermouse.com/
Plugin URI: http://membermouse.com/
Version: 1.0.1
*/

function mm_uninstaller_menu()
{
	add_menu_page('MM Uninstaller', __('MM Uninstaller'), 'manage_options', 'mmuninstaller', 'mm_uninstaller_page');
}

function mm_uninstaller_page()
{
	if (!current_user_can('manage_options'))
    {
      	wp_die( __('You do not have sufficient permissions to access this page.') );
    }
?>
<script>
function uninstall()
{
	var msg = "Are you sure you want to unistall MemberMouse from the domain <?php echo strtoupper(get_option('siteurl')); ?>?\n\n";
	msg += "ALL MEMBERMOUSE DATABASE TABLES AND CONFIGURATION DATA WILL BE DELETED.\n\n";
	msg += "Your member account information such as username, email address and password will not be deleted\nas this is managed by WordPress, "
	msg += "but all data managed by MemberMouse such as membership level\nand status, purchase history, address information, etc will be deleted.\n\n";
	msg += "This operation CANNOT be undone. We recommend backing up your data prior to running the uninstaller.";
	
	if(confirm(msg))
	{
		msg = "Are you really sure you want to uninstall MemberMouse from the domain <?php echo strtoupper(get_option('siteurl')); ?>'?\n\n";
		msg += "This operation CANNOT be undone. We recommend backing up your data prior to running the uninstaller.";

		if(confirm(msg))
		{
			return true;
		}	
	}

	return false;
}
</script>
<h1>MemberMouse Uninstaller</h1>

<?php
if(isset($_POST["mm-do-uninstall"]))
{
	global $wpdb;
	$finishedWithErrors = false;
	require_once(ABSPATH."wp-content/plugins/membermouse-uninstaller/uninstall.sql.php");
	if(isset($sql) && is_array($sql))
	{
		foreach($sql as $query)
		{
			if($wpdb->query($query) === false)
			{
				$finishedWithErrors = true;
				echo "Unable to execute query: {$query}<br/>";
			}
		}
	}
	
	if(!$finishedWithErrors)
	{
		echo "MEMBERMOUSE WAS UNINSTALLED SUCCESSFULLY";
	}
}
else 
{
?>
<form method="post" onSubmit="return uninstall();">
<p><h2><span style="color:red;">IMPORTANT:</span> Deactive MemberMouse prior to running this uninstaller.</h2></p>
<input type="hidden" name="mm-do-uninstall" value="1" />
<input type="submit" value="Uninstall MemberMouse" class="button-primary" />
</form>
<?php 
}
}

add_action('admin_menu','mm_uninstaller_menu');
?>